package com.usky.common.redis.core;

import com.google.common.collect.Maps;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.time.Duration;
import java.util.Map;

/**
 * @author yangqiang
 * @date 2020-11-02
 */
@Component
@ConfigurationProperties(prefix = "spring.cache.redis")
public class RedisOverdueTimeProperties {

    private final Map<String, Duration> expires = Maps.newHashMap();

    public Map<String, Duration> getExpires() {
        return expires;
    }
}
